Skip to main content
Weavr API
Incoming wire transfers

List incoming wire transfers

GET/incoming_wire_transfers

Returns all incoming wire transfers for the authenticated identity.

Request

Query parameters

Responses

200OK

Success

Headers
Body
application/json
{}
IncomingWireTransferListIncomingWireTransferList · object · 3 fields
Response example
{  "incomingWireTransfers": [    {      "id": "string",      "profileId": "10001",      "state": "PENDING",      "amount": {        "currency": "GBP",        "amount": 1250      },      "fee": {        "currency": "GBP",        "amount": 1250      },      "destinationInstrument": {        "id": "123456789",        "type": "managed_accounts"      },      "paymentNetwork": "SEPA",      "senderName": "string",      "senderIban": "string",      "senderReference": "string",      "forex": {        "originalAmount": {          "currency": "GBP",          "amount": 1250        },        "exchangeRate": {          "value": 0,          "scale": 0        },        "paddingAmount": {          "currency": "GBP",          "amount": 1250        },        "feeAmount": {          "currency": "GBP",          "amount": 1250        }      },      "isInstant": true,      "createdAt": 1786118400000,      "executedAt": 1786118401250    }  ],  "count": 0,  "responseCount": 0}